Pipeline Management
Summarize pipeline health for one or more pipelines
Returns overall ingestion health as well as pipeline-specific health, such as lag in a pipeline’s sources.
GET
/
pipeline
/
health
Summarize pipeline health for one or more pipelines
curl --request GET \
--url https://api.mezmo.com/v3/pipeline/health \
--header 'Authorization: <api-key>'import requests
url = "https://api.mezmo.com/v3/pipeline/health"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.mezmo.com/v3/pipeline/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {},
"data": {
"interval_minutes": 123,
"ingestion_health": {
"ingestion_metrics_status": "<string>",
"routes": [
{
"route": "<string>",
"health": [
{
"status_code": 123,
"change_percent": 123
}
]
}
]
},
"pipeline_health": {
"lag_metrics_status": "<string>",
"pipelines": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"sources": [
{
"id": "<string>",
"type": "<string>",
"title": "<string>",
"is_consumer_group": true,
"lag_event_count": 123
}
]
}
]
}
}
}Authorizations
Enter your token in the format: Token mytokengoeshere
Query Parameters
The window interval for measuring ingestion volume
Required range:
1 <= x <= 60Return only pipelines with the given IDs
A pipeline id
⌘I
Summarize pipeline health for one or more pipelines

